Subject: bug#36972: ghc-8.6.5 won't complete its build phase

From: Timothy Sample <[email-masked]>
Date: Thu, 08 Aug 2019 20:56:18 -0400

Hi Brian,

Brian Leung <[email-masked]> writes:

> Upon upgrading with `guix upgrade`, ghc-8.6.5 is downloaded, but the
> build phase seems to get stuck at 100%.

It looks like everything went fine on the CI server, and I built it
before I committed it.  Is it possible it was running the tests?  They
take much, much longer than building the compiler.  It took the CI
server over five hours to build the whole derivation.  How long did you
wait?

-- Tim